> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/sanitation/water-sanitation-product-suite/waste-management-system/faecal-sludge-management-fsm/fsm-functional-specification/fsm-ui-docs/fsm-employee-ui.md).

# FSM Employee UI

There are three main updates in FSM v1.2.1 for employee UI:

1. Application timeline
2. Photo viewed by employee/DSO
3. Payment mode while completing request

### 1. Application Timeline: <a href="#id-1.-application-timeline" id="id-1.-application-timeline"></a>

An employee can see the application status in application timeline with provider details.

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/QlvLXkiv5EOZSKvqUgjl/Screenshot%202022-08-08%20at%203.49.52%20PM.png)

#### Technical Implementation Details: <a href="#technical-implementation-details" id="technical-implementation-details"></a>

The path for the code:

**frontend/micro-ui/web/micro-ui-internals/packages/modules/fsm/src/pages/employee/ApplicationDetails/index.js**

The code snippet to render application timeline:

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/rCcBJhqREgJVV7pLhtiY/Screenshot%202022-08-08%20at%203.51.55%20PM.png)

The code snippet for extracting the provider info for each status:

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/YD2DoOIKFBLpuzORbeHC/Screenshot%202022-08-08%20at%203.53.34%20PM.png)

### 2. Photo viewed by employee/DSO <a href="#id-2.-photo-viewed-by-employee-dso" id="id-2.-photo-viewed-by-employee-dso"></a>

An employee/DSO can view the photo uploaded by the employee/DSO in complete request action.

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/S4G3qxaUFQD1VSI9Z5Ap/Screenshot%202022-08-08%20at%203.56.07%20PM.png)

#### Technical Implementation Details: <a href="#technical-implementation-details-.1" id="technical-implementation-details-.1"></a>

The path for the code:

**frontend/micro-ui/web/micro-ui-internals/packages/modules/fsm/src/pages/employee/ApplicationDetails/index.js**

The code snippets to render the field:

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/2LMgw7drrnNcmdjYM1AH/Screenshot%202022-08-08%20at%203.59.25%20PM.png)

ViewImages.js are the common component used to fetch and render the Image file id. The path is shown below:

**frontend/micro-ui/web/micro-ui-internals/packages/modules/fsm/src/components/ViewImages.js**

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/Niy0Ma1G7KUa6beLkW0G/Screenshot%202022-08-08%20at%204.01.43%20PM.png)

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/gxDC0DqInA6nJGmdUplC/Screenshot%202022-08-08%20at%204.01.53%20PM.png)

### 3. Payment mode while completing request <a href="#id-3.-payment-mode-while-completing-request" id="id-3.-payment-mode-while-completing-request"></a>

An employee has to select the payment mode while completing the request.

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/uKXMRt2JpR9GEusHA4tC/Screenshot%202022-08-08%20at%204.05.19%20PM.png)

#### Technical Implementation Details: <a href="#technical-implementation-details-.2" id="technical-implementation-details-.2"></a>

File path:

**frontend/micro-ui/web/micro-ui-internals/packages/modules/fsm/src/pages/employee/ApplicationDetails/config/CompleteApplication.js**

The code snippet to render the field.

![](https://content.gitbook.com/content/XBU7xhTVuMJw3ncxgvWz/blobs/HZVjSe19fc3JFf4DjkDf/Screenshot%202022-08-08%20at%204.07.57%20PM.png)

MDMS file fetch for payment mode:

[egov-mdms-data/ReceivedPaymentType.json at UAT · egovernments/egov-mdms-data](https://github.com/egovernments/egov-mdms-data/blob/UAT/data/pg/FSM/ReceivedPaymentType.json)

```
{
    "tenantId": "pg",
    "moduleName": "FSM",
    "ReceivedPaymentType": [
        {
            "name": "Payed in Cash",
            "code": "PAYED_IN_CASH",
            "active": true
        },
        {
            "name": "Payed in Counter",
            "code": "PAYED_IN_COUNTER",
            "active": true
        },
        {
            "name": "Netbanking",
            "code": "NETBANKING",
            "active": true
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/sanitation/water-sanitation-product-suite/waste-management-system/faecal-sludge-management-fsm/fsm-functional-specification/fsm-ui-docs/fsm-employee-ui.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
